Commit 0062531e authored by Jeremy Bicha's avatar Jeremy Bicha

New upstream version 2.8.2

parents 4cb27334 85291554

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

......@@ -24,4 +24,4 @@ odf
*.tar.bz2
*.zip
*~
INSTALL
......@@ -40982,7 +40982,7 @@
2002-07-30 Daniel Egger <degger@fhm.edu>
* configure.in: Check for the the recommended version of the DocBook
* configure.in: Check for the recommended version of the DocBook
Modular Stylesheets in src/ (currently 1.53.0) and use it if available.
We still check for the stylesheets on the system if it's not there
but this is deprecated since it may lead to severe problems. If no
......@@ -9,7 +9,7 @@ CYGWIN = $(shell make.d/test/is_cygwin.sh || echo 0)
#### The GIMP manual languages ####
########################################################################
ALL_LINGUAS = de en es fr it ja ko nl nn pl ru sv zh_CN
ALL_LINGUAS = ca da de el en es fi fr hi it ja ko lt nl nn pl ru sv zh_CN
LANGUAGES = $(if $(LINGUAS),$(filter $(ALL_LINGUAS),$(LINGUAS)),$(ALL_LINGUAS))
ifneq ($(DOC_LINGUAS),)
$(warning Do not set the internal variable DOC_LINGUAS)
......@@ -180,6 +180,7 @@ endif
# $(call xml2pot,xml-files,pot-file)
# Parameters:
# $1 - input: original (untranslated) XML files
# and other prerequisites, e.g. images or "FORCE"
# $2 - output: POT template file containing translatable tags
xml2pot = $(XML2PO) $(XML2POFLAGS) --output='-' $(filter %.xml,$(1)) \
| $(MSGUNIQ) $(MSGUNIQFLAGS) \
......@@ -196,28 +197,12 @@ xml2pot = $(XML2PO) $(XML2POFLAGS) --output='-' $(filter %.xml,$(1)) \
# $1 - input POT file
# $2 - translation language
# $3 - output PO file
pot2po = with_compendium="$(shell $(call get_compendium,$3)) \
$(shell $(call use_gimp_po_files,$2))"; \
tmpfile=$(3).tmp; \
if [ -s $(3) ]; then \
$(MSGMERGE) $(MSGMERGEFLAGS) $${with_compendium} \
--output-file $${tmpfile} $(3) $(1); \
else \
pot2po = test -e $(3) || \
$(MSGINIT) $(MSGINITFLAGS) --input $(1) --locale=$(2) --output=$(3); \
pofile=$(3); \
if [ -s $${pofile%/*}.po ]; then \
$(MSGMERGE) $(MSGMERGEFLAGS) $${with_compendium} \
--output-file $${tmpfile} $${pofile%/*}.po $(3); \
elif [ -n "$${with_compendium}" ]; then \
$(MSGMERGE) $(MSGMERGEFLAGS) $${with_compendium} \
--output-file $${tmpfile} $(3) $(1); \
else \
$(SED) -e '/Plural-Forms:/d' $(3) > $${tmpfile}; \
fi; \
fi; \
test -s $${tmpfile} && mv -f $${tmpfile} $(3) || rm -f $${tmpfile}; \
test -s $(3) && $(MSGFMT) $(MSGFMTFLAGS) $(3) || exit 70; \
rm -f messages.mo messages.gmo
with_compendium="$(shell $(call get_compendium,$3))"; \
$(MSGMERGE) $(MSGMERGEFLAGS) $${with_compendium} --update $(3) $(1) \
&& $(MSGFMT) $(MSGFMTFLAGS) $(3) || exit 70; \
rm -f $(3)~ messages.mo messages.gmo
# Merge PO file into (translated) XML file
#
......@@ -244,7 +229,7 @@ endif
make_target_dir = f=$(1); d=$${f%/*}; test -d $$d || $(mkdir_p) $$d
get_recent_file = $(shell ls -t $(1) | head -n 1)
get_recent_file = $(shell ls -t $(1) 2>/dev/null | head -n 1)
copy = $(ln_s) $(abs_srcdir)/$(1) $(2)
......@@ -253,15 +238,14 @@ get_compendium = \
file="$(1)"; dir=$${file%/*}; \
while true; do \
if test -f $${dir}/$(COMPENDIUM); then \
opt="$${opt} --compendium=$${dir}/$(COMPENDIUM)"; \
echo "--compendium=$${dir}/$(COMPENDIUM)"; \
fi; \
case "$${dir}" in \
po|*/po) break;; \
*/*) dir="$${dir%/*}";; \
*) break;; \
esac; \
done; \
if test -n "$${opt}"; then echo $${opt}; fi
done
else
get_compendium =
endif
......@@ -299,22 +283,11 @@ help: make.help
-e '### skip comments ###' \
-e '/^#/d' \
-e '### print if no "make" variable found ###' \
-e '/@/!b' \
-e '/%/!b' \
-e '### replace "make" variables ###' \
-e 's/@LANGUAGES@/@$(strip $(LANGUAGES))@/' \
-e 's/@LINGUAS@/@$(strip $(LINGUAS))@/' \
-e 's/@ALL_LINGUAS@/@$(strip $(ALL_LINGUAS))@/' \
-e '### add commas ###' \
-e 'tloop' \
-e ':loop' \
-e ' ### mark value of variable (@@...@@) ###' \
-e ' s/@\([^@]*\)@/@@\1@@/' \
-e ' twhile' \
-e ' :while' \
-e ' s/\(@@[^,@]*\) \([^@]*@@\)/\1, \2/' \
-e ' twhile' \
-e ' s/@@\([^@]*\)@@/\1/' \
-e 'tloop' \
-e 's/%LANGUAGES%/%$(strip $(LANGUAGES))%/' \
-e 's/%LINGUAS%/%$(strip $(LINGUAS))%/' \
-e 's/%ALL_LINGUAS%/%$(strip $(ALL_LINGUAS))%/' \
$<
......@@ -354,15 +327,19 @@ POT_FILES = $(patsubst src/%,pot/%.pot,$(filter-out src src/,$(SRC_DIRS)))
# Special case: src/*.xml --> pot/gimp.pot
POT_FILES += pot/gimp.pot
# XXX: Secondary Expansion of the following two rules is required because
# "pot/%.pot: $(srcdir)/src/%/*.xml" didn't work with make v3.82
# (cf. bug #637505).
.SECONDEXPANSION:
# General case
ifeq ($(filter pot/%.pot po/%.po,$(MAKECMDGOALS)),)
pot/%.pot: src/%/*.xml $(wildcard images/C/%/*.*)
pot/%.pot: src/$$*/*.xml $$(wildcard images/C/$$*/*.*)
else
pot/%.pot: src/%/*.xml FORCE
pot/%.pot: src/$$*/*.xml FORCE
endif
$(cmd) $(call make_target_dir,$@)
$(msg) "[POT] $@"
$(cmd) $(call xml2pot,$(filter-out FORCE,$^),$@)
$(cmd) $(call xml2pot,$^,$@)
# Special case: rename pot file for toplevel xml files
ifeq ($(filter pot/%.pot po/%.po,$(MAKECMDGOALS)),)
pot/gimp.pot: src/*.xml $(wildcard images/C/*.*)
......@@ -371,7 +348,7 @@ pot/gimp.pot: src/*.xml FORCE
endif
$(cmd) $(call make_target_dir,$@)
$(msg) "[POT] $@"
$(cmd) $(call xml2pot,$(filter-out FORCE,$^),$@)
$(cmd) $(call xml2pot,$^,$@)
# Special case: pot file for the authors DocBook file
# requires an additional prerequisite
AUTHORS_POT = $(AUTHORS_DOCBOOK_XML:src/%/$(AUTHORS_DOCBOOK_FILENAME)=pot/%.pot)
......@@ -383,7 +360,7 @@ $(AUTHORS_POT): $(AUTHORS_DOCBOOK_XML) $(wildcard $(AUTHORS_DOCBOOK_DIRNAME)*.xm
endif
$(cmd) $(call make_target_dir,$@)
$(msg) "[POT] $@"
$(cmd) $(call xml2pot,$(filter-out FORCE,$^),$@)
$(cmd) $(call xml2pot,$^,$@)
# Remove left over pot files
cleanup-pot:
......@@ -572,6 +549,7 @@ images-%: xml/%/images html/%/images ;
validate: validate-en ;
validate-%: xmllint-% ;
validate-all: $(foreach LANG,$(LANGUAGES),validate-$(LANG)) ;
xmllint: xmllint-en ;
xmllint-%: log/%-xmllint.log
......@@ -648,12 +626,17 @@ index: $(foreach lang,$(LANGUAGES),index-$(lang)) ;
index-%: html/%/gimp-help.xml ;
html/%/gimp-help.xml: html/%/gimp-xrefs.xml stylesheets/makeindex.xsl
$(msg) "[XML] $@"
$(cmd) $(XSLTPROC) \
$(XSLTFLAGS) $(XSLTEXTRAFLAGS) \
$(srcdir)/stylesheets/makeindex.xsl \
$< \
> $@
# Making index includes creating sort keys
stylesheets/makeindex.xsl: stylesheets/getsortkey.xsl
$(cmd) touch $@
# The xrefs file is a side effect of the HTML build
html/%/gimp-xrefs.xml: html/%/index.html
$(cmd) touch $@
......@@ -750,7 +733,7 @@ pdf/%/gimp.pdf: xml/% stylesheets/plainprint.xsl xml/%/images
else
pdf pdf-%:
pdf $(foreach lang,$(LANGUAGES),pdf-$(lang)):
@echo "*** Cannot build PDFs because DBLATEX was not defined ***"
@exit 69
......@@ -787,7 +770,7 @@ xml/%/gimp-alldocs.xml: xml/%/gimp.xml
else
odf odf-%:
odf $(foreach lang,$(LANGUAGES),odf-$(lang)):
@echo "*** Cannot build ODFs because DOCBOOK2ODF was not defined ***"
@exit 69
......@@ -871,14 +854,13 @@ check-image-references:
echo "*** Checking image references ... "; \
python tools/validate_references.py \
--verbose --broken --orphaned \
$(VALIDATEREFERENCESFLAGS); \
$(IMAGE_LANGS); \
else \
echo >&2 "*** Cannot check image references (no Python installed?) ***"; \
fi
check-images-%: FORCE
$(cmd) $(RMAKE) check-image-references \
VALIDATEREFERENCESFLAGS="--imgdir=images/C,images/$*"
$(cmd) $(RMAKE) check-image-references IMAGE_LANGS="C $*"
check-image-resolutions-%:
$(cmd) /bin/sh tools/check_image_resolutions.sh images/$*
......
This diff is collapsed.
GIMP-Help NEWS
--------------
GIMP Help 2 release 2.8.2
=========================
- Complete translation for Brazilian Portuguese
- Many improvements for existing translations
- Bugfixes:
* Bug: 696034 - Exporting transparency docs use "Save" instead of "Export"
* Bug: 724056 - typo reverses meaning...
* Bug: 719859 - File#Export menu labels have been changed
* Bug: 719971 - Grammatical error: "addressing one of the most often received complain"
* Bug: 720479 - Apply save/export concepts on using/web.xml
* Bug: 720209 - Typo in web filters - GIMP manual
* Bug: 719876 - languageVocab.xml missing in 2.8.1 release
* Bug: 719748 - Grammatical error: "GIMP 2.8 is an another important release"
contributions from: João S. O. Bueno, Daniel Mustieles, Marco Ciampa,
Rafael Ferreira, Enrico Nicoletto, Julien Hardelin, Dimitris Spingos,
Sven Claussner, kolbjoern, Róman Joost, Piotr Drąg, SimaMoto,RyōTa,
Benjamin Kerensa, Bogdan Petcu, Christian Kirbach, Konfrare Albert,
Mariana Santos, Nils Philippsen, Willer Gomes Júnior
GIMP Help 2 release 2.8.1
=========================
- New (incomplete) translations: Brazilian Portuguese, Danish, Catalan
- Online documentation (http://docs.gimp.org) now provides a language
menu which allows users to switch to other translations of the same
document if available (#168256)
- Bugfixes:
* #168256 - Help pages should have links to corresponding pages in other language
* #676683 - Docs use the term "dpi", GIMP UI uses "ppi"
* #679173 - Grammatical error in Help Browser: "have there own preset system"
* #680243 - Export File shortcut error in Gimp Manual
* #711318 - help pages should have a link to Bugzilla
contributions from: Alexandre Franke, Alexandre Prokoudine, Alex Muñoz,
Angelo Córdoba Inunza, Christian Kirbach, Daniel Francis, Daniel
Mustieles, Daniel Winzen, Delin Chang, Dimitris Spingos, Djavan
Fagundes, Enrico Nicoletto, Felipe Ribeiro Souza, Guiu Rocafort, Jiro
Matsuzawa, João S. O. Bueno, Joe Hansen, Jordi Mas, Julien Hardelin,
Kenneth Nielsen, Kolbjørn Stuestøl, Marco Ciampa, María Majadas,
Milagros Infante Montero, Milo Casagrande, Piotr Drąg, Rafael Ferreira,
Róman Joost, Seong-ho Cho, SimaMoto,RyōTa, Stéphane Poumaer, Sven